@echo off
subst b: .
b:
mode co80
cd install

cls
echo 
echo 
echo 
echo If you want to run the program in English, press 'E'.
echo 
echo Pour utiliser le programme Fran‡ais, pressez 'F'.
echo 
echo Um das Spiel in Deutsch zu spielen, 'D' eingeben.
echo 
getkey

rem 'f'
if errorlevel 103 goto error
if errorlevel 102 goto french
rem 'e'
if errorlevel 102 goto error
if errorlevel 101 goto english
rem 'd'
if errorlevel 101 goto error
if errorlevel 100 goto german
rem 'F'
if errorlevel 71 goto error
if errorlevel 70 goto french
rem 'E'
if errorlevel 70 goto error
if errorlevel 69 goto english
rem 'D'
if errorlevel 69 goto error
if errorlevel 68 goto german


:error
cls
echo 
echo 
echo 
echo Relancez INSTALL s'il vous plaŚt.
echo 
echo INSTALL noch einmal laufen lassen.
echo 
echo Run INSTALL again please.
cd ..
goto end

:french
echo Attendez s'il vous plaŚt . . .
cd french
copyfilz %1 %2 %3 %4 %5 %6 %7 %8 %9
rem if errorlevel 1 goto end
if not exist resource.000 goto worked1
cd ..\..
goto end

:worked1
if not exist soundset.exe goto end
soundset
cls
rem french translation
echo. ˙Pour jouer maintenant:
echo. ˙   Tapez BD et appuyez sur [ENTREE].
echo.
echo. ˙Pour jouer plus tard:
echo. ˙   Ouvrez le r‚pertoire du jeu.
echo. ˙   Tapez BD et appuyez sur [ENTREE].
echo.
echo.  Si vous devez modifier la s‚lection ou les paramŠtres
echo.  de la carte sonore, ouvrez le r‚pertoire du jeu,
echo.  et lancez … nouveau SOUNDSET.
goto end

:german
echo Bitte warten . . .
cd german
copyfilz %1 %2 %3 %4 %5 %6 %7 %8 %9
rem if errorlevel 1 goto end
if not exist resource.000 goto worked2
cd ..\..
goto end

:worked2
if not exist soundset.exe goto end
soundset
cls
rem german translation here
echo. ˙Um jetzt zu spielen:
echo. ˙   Geben Sie ein: BD [EINGABE].
echo.
echo. ˙Um sp„ter zu spielen:
echo. ˙   Wechseln Sie zum Spielverzeichnis.
echo. ˙   Geben Sie ein: BD [EINGABE]
echo.
echo.  Falls Sie Ihre Toneinstellungen sp„ter „ndern 
echo.  wollen, wechseln Sie zum Spielverzeichnis, und
echo.  starten Sie SOUNDSET noch einmal.
goto end

:english
echo Please wait . . .
cd english
copyfilz %1 %2 %3 %4 %5 %6 %7 %8 %9
rem if errorlevel 1 goto end
if not exist resource.000 goto worked3
cd ..\..
goto end

:worked3
if not exist soundset.exe goto end
soundset
cls
echo. ˙To play NOW:
echo. ˙   Type BD and press [ENTER].
echo. 
echo. ˙To play LATER:
echo. ˙   CD to the game directory.
echo. ˙   Type BD and press [ENTER].
echo.  .
echo.  If you should ever need to change your sound card
echo.  selection or settings, CD to the game directory
echo.  and run SOUNDSET again.
goto end


:end
